<?php
if(!isset($id)) $id = '';
if(!isset($label)) $label = '';
if(!isset($class_chain)) $class_chain = '';
if(!isset($name)) $name = '';
if(!isset($error)) $error = '';
if(!isset($value)) $value = '';
if(!isset($repeatable)) $repeatable = '';
if(!isset($affectable)) $affectable = '';
if(!isset($inlineblock)) $inlineblock = '';
if(!isset($affects)) $affects = '';
if(!isset($table)) $table = '';
if(!isset($options)) $options = array();

global $index;

if(!$index) {
    $index = array();
   
} 

if(!isset($index[$name])) $index[$name] = 0;
else $index[$name] = $index[$name] + 1;

// $input_data = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
$input_data = map_deep( wp_unslash($_POST), 'sanitize_textarea_field' );

/**
 * Find a pattern like this: personal[gender]
 * And transform it to this: personal-gender
 */
$firstBracketOffset  = stripos($name, '[');
$secondBracketOffset = stripos($name, ']');
$classBaseName       = substr($name, 0, $firstBracketOffset) . "-" . substr($name, $firstBracketOffset+1, $secondBracketOffset-$firstBracketOffset-1);
if (strlen($class_chain) == 0 ) $class_chain = "cx2_{$classBaseName}";
?>

<?php if(@$label): ?>
    <?php
	    $divClass = "cx2_{$classBaseName}";
        $divStyle = "";
        if ($affectable) {
            $divStyle = "display: none;";
	        $divClass .= " affectable";
        }
    ?>
<div style="<?php echo $divStyle; ?>" class="<?php echo $divClass; ?>">
    <label class="cx2_<?php echo $classBaseName; ?>" style='display: inline-block;'><?php echo $label; ?></label>
<?php endif; ?>


<?php
$group = '';
$row = '';
$values = array();
$disabled = (@$disabled) ? 'disabled' : false;
if(isset($prefixname)):
    list($group, $row) = explode('-', $prefixname);
endif;


if(!$value && isset($input_data["type-$group"]['email'][$row]) && is_array($input_data["type-$group"]['email'][$row])){
    $_vs = $input_data["type-$group"]['email'][$row];
    $value = '';
    foreach($_vs as &$val) {
        $value = $val;
        break;
    }
} elseif(isset($emailTypes) && isset($emailTypes[$row])) {
    $value = $emailTypes[$row];
}

?>
    <span class="carerix_labels cx2_labels_<?php echo $classBaseName; ?>">
    
<?php
$related = substr($name, 0, stripos($name, '['));
echo "<input class='related_index' name='$related-index[]' type='hidden' value='{$index[$name]}' >";
foreach($options as $option):
    $checked = '';
    if($value === $option['value'] ):
        $checked = 'checked';
    endif;
    $dname = $name . '[' . @$index[$name] .']';
    //$ci = explode('[]', $name);
    $ci = @$index[$name];
    if(isset($ci[1])):
        $cid = $ci[1];
        if(isset($values[$cid]) && $option['value'] == $values[$cid]):
            $checked = 'checked';
        endif;
    endif;
    

    echo "<input type='radio' name='$dname' $disabled $checked class='$class_chain' value='{$option['value']}'> {$option['label']}";
endforeach;

?>
</span>    
<i class="fa fa-refresh fa-spin wait" style="display: none;"></i>
<?php if(@$label): ?>
</div>
<?php endif; ?>