<?php $labels = Utils_Labels::get(); 
$interfacer = WP_Interfacer::getInstance();
$login = $interfacer->get_post_permalink(false, 'login=true');
$apply_form = $interfacer->get_post_permalink(false, 'apply=true');

// $input_data = filter_input_array(INPUT_POST, FILTER_FLAG_STRIP_BACKTICK | FILTER_FLAG_ALLOW_OCTAL);
$input_data = map_deep( wp_unslash($_POST), 'sanitize_textarea_field' );
?>

<div id="apply_mode">
    
    <?php if(!isset($_GET['apply_mode'])): ?>
	<div id="apply_toggler">
		<a href="#"><?php echo $labels['CxPortal.message.text.logon']; ?></a>
	</div>
    <?php endif; ?>
	
	<div id="options">
		<div id="cv">
			<?php echo $labels['CxPortal.message.text.uploadCV']; ?>
			<input type="file" name="cvupload" />
			<input type="submit" name="cvupload_parse" value="Go" />
		</div>
        <?php  
        if('on' != Environment_Settings::getLoginLinkStatus()):
        ?>
        <div id="logged_out">
            <a href="<?php echo @$login; ?>"><?php echo $labels['general.button.login']; ?></a>
        </div>
        <?php
        endif;
        ?>
	</div>
    <div id="back">
        <input type="hidden" name="apply_action" value="1">
        <a href="<?php echo $apply_form; ?>"><?php echo $labels['CxWpPlugin.message.gobacktoapply']; ?></a>
    </div>
    <?php wp_nonce_field('apply_action', '_carerix_nonce_field'); ?>
</div>

